summaryrefslogtreecommitdiffstats
path: root/clean
diff options
context:
space:
mode:
Diffstat (limited to 'clean')
-rwxr-xr-xclean9
1 files changed, 9 insertions, 0 deletions
diff --git a/clean b/clean
new file mode 100755
index 0000000..10f63dd
--- /dev/null
+++ b/clean
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -eu
+
+[ -d "$1" ] || (echo "package $1 not found" >&2; exit 1)
+
+./uninstall "$1"
+[ -f "$1/Makefile" ] && (cd "$1" && make -s clean)
+
+true